function MousePointerManager:set_cursor_color()
	local c = CursorColorChanger.Options:GetValue("Color"):with_alpha(1) or Color(1, 1, 1, 1) 	--force full alpha because if you set it to 0 you're not able to see the cursor, yeah i could make an option to disable it but i don't want to
	--Use self when the mouse pointer is being created (for the post hook), otherwise use managers.mouse_pointer
	if managers.mouse_pointer then
		managers.mouse_pointer._mouse:child("pointer"):set_color(c)
	else
		self._mouse:child("pointer"):set_color(c)
	end
end

--value_changed in xml does not work, so i have to do this
--reason being that callback() in stringtocallback does not seem to exist yet or i am just dumb
if CursorColorChanger.Options then
	local option = CursorColorChanger.Options._config.options[1]
	option.value_changed = callback(CursorColorChanger, MousePointerManager, "set_cursor_color")
end

Hooks:Post(MousePointerManager, "_setup", "_setup_change_cursor_color", function(self)
	self:set_cursor_color()
end)